type: google.api.Service
config_version: 3
name: policytroubleshooter.googleapis.com
title: Policy Troubleshooter API

apis:
- name: google.cloud.policytroubleshooter.v1.IamChecker

backend:
  rules:
  - selector: google.cloud.policytroubleshooter.v1.IamChecker.TroubleshootIamPolicy
    deadline: 20.0

authentication:
  rules:
  - selector: google.cloud.policytroubleshooter.v1.IamChecker.TroubleshootIamPolicy
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
